local Murals = foundation.createMod();

 --[[  ]]--


---------------------
-- Asset Processors --
---------------------
Murals:registerAssetProcessor("models/mosaic.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

Murals:registerAssetProcessor("models/banner.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/bannersolid.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/banner2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/bannersolid2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/bannersolid3.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/banner4.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/bannersolid4.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/banner5.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/bannersolid5.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/banner6.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Murals:registerAssetProcessor("models/bannersolid6.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
----
---------------
-- Asset IDs --
---------------
--stand, roots and tiling
Murals:registerAssetId("models/mosaic.fbx/Prefab/Root_Part", "PREFAB_ROOT_PART")
Murals:registerAssetId("models/mosaic.fbx/Prefab/Tiling_Part", "PREFAB_TILING_PART")
Murals:registerAssetId("models/banner.fbx/Prefab/Stand_Part", "PREFAB_STAND_PART")

--scaling stand
Murals:registerPrefabComponent("models/banner.fbx/Prefab/Stand_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

Murals:registerAssetId("models/banner.fbx/Prefab/Stand2_Part", "PREFAB_STAND2_PART")
Murals:registerPrefabComponent("models/banner.fbx/Prefab/Stand2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })

--scaling pole
Murals:registerAssetId("models/banner.fbx/Prefab/Tiling2_Part", "PREFAB_TILING2_PART")
Murals:registerAssetId("models/banner.fbx/Prefab/Root3_Part", "PREFAB_ROOT3_PART")

--sticky banner roots
Murals:registerAssetId("models/banner.fbx/Prefab/Root2_Part", "PREFAB_ROOT2_PART")
Murals:registerPrefabComponent("models/banner.fbx/Prefab/Root2_Part", { DataType = "COMP_BUILDING_PART", BuildingPartType = "MINOR" })	



--Blank Materials
Murals:registerAssetId("models/mosaic.fbx/Materials/blank", "BLANK_MATERIAL")
Murals:override({
    Id = "BLANK_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/banner.fbx/Materials/blank", "BLANK1_MATERIAL")
Murals:override({
    Id = "BLANK1_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/bannersolid.fbx/Materials/blank", "BLANK1B_MATERIAL")
Murals:override({
    Id = "BLANK1B_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/banner2.fbx/Materials/blank", "BLANK2_MATERIAL")
Murals:override({
    Id = "BLANK2_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/bannersolid2.fbx/Materials/blank", "BLANK2B_MATERIAL")
Murals:override({
    Id = "BLANK2B_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/bannersolid3.fbx/Materials/blank", "BLANK3B_MATERIAL")
Murals:override({
    Id = "BLANK3B_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/banner4.fbx/Materials/blank", "BLANK4_MATERIAL")
Murals:override({
    Id = "BLANK4_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/bannersolid4.fbx/Materials/blank", "BLANK4B_MATERIAL")
Murals:override({
    Id = "BLANK4B_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/banner5.fbx/Materials/blank", "BLANK5_MATERIAL")
Murals:override({
    Id = "BLANK5_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/bannersolid5.fbx/Materials/blank", "BLANK5B_MATERIAL")
Murals:override({
    Id = "BLANK5B_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/banner6.fbx/Materials/blank", "BLANK6_MATERIAL")
Murals:override({
    Id = "BLANK6_MATERIAL",
	HasAlphaTest = true
})
Murals:registerAssetId("models/bannersolid6.fbx/Materials/blank", "BLANK6B_MATERIAL")
Murals:override({
    Id = "BLANK6B_MATERIAL",
	HasAlphaTest = true
})

--Mosaics
Murals:registerAssetId("models/mosaic.fbx/Prefab/Mosaic1_Part", "PREFAB_MOSAIC1_PART")
Murals:registerAssetId("models/mosaic.fbx/Materials/mosaic1", "MOSAIC1_MATERIAL")
Murals:override({
    Id = "MOSAIC1_MATERIAL",
	HasAlphaTest = true,
--	IsLighted = false
})

Murals:registerAssetId("models/mosaic.fbx/Prefab/Mosaic2_Part", "PREFAB_MOSAIC2_PART")
Murals:registerAssetId("models/mosaic.fbx/Materials/mosaic2", "MOSAIC2_MATERIAL")
Murals:override({
    Id = "MOSAIC2_MATERIAL",
	HasAlphaTest = true,
	--	IsLighted = false
})

Murals:registerAssetId("models/mosaic.fbx/Prefab/Mosaic4_Part", "PREFAB_MOSAIC4_PART")
Murals:registerAssetId("models/mosaic.fbx/Materials/mosaic4", "MOSAIC4_MATERIAL")
Murals:override({
    Id = "MOSAIC4_MATERIAL",
	HasAlphaTest = true,
	--	IsLighted = false
})
Murals:registerAssetId("models/mosaic.fbx/Prefab/Mosaic5_Part", "PREFAB_MOSAIC5_PART")
Murals:registerAssetId("models/mosaic.fbx/Materials/mosaic5", "MOSAIC5_MATERIAL")
Murals:override({
    Id = "MOSAIC5_MATERIAL",
	HasAlphaTest = true,
	--	IsLighted = false
})

Murals:registerAssetId("models/mosaic.fbx/Prefab/Mosaic6_Part", "PREFAB_MOSAIC6_PART")
Murals:registerAssetId("models/mosaic.fbx/Materials/mosaic6", "MOSAIC6_MATERIAL")
Murals:override({
    Id = "MOSAIC6_MATERIAL",
	HasAlphaTest = true,
	--	IsLighted = false
})


--Windows

Murals:registerAssetId("models/mosaic.fbx/Prefab/Window1_Part", "PREFAB_WINDOW1_PART")
Murals:registerAssetId("models/mosaic.fbx/Prefab/Window2_Part", "PREFAB_WINDOW2_PART")

Murals:registerAssetId("models/mosaic.fbx/Prefab/Window2b_Part", "PREFAB_WINDOW2B_PART")
Murals:registerAssetId("models/mosaic.fbx/Materials/mosaic2b", "MOSAIC2B_MATERIAL")
Murals:override({
    Id = "MOSAIC2B_MATERIAL",
	HasAlphaTest = false,
	--	IsLighted = false
})

Murals:registerAssetId("models/mosaic.fbx/Prefab/Window3_Part", "PREFAB_WINDOW3_PART")
Murals:registerAssetId("models/mosaic.fbx/Materials/mosaic3", "MOSAIC3_MATERIAL")
Murals:override({
    Id = "MOSAIC3_MATERIAL",
	HasAlphaTest = false,
	--	IsLighted = false
})
Murals:registerAssetId("models/mosaic.fbx/Prefab/Window4_Part", "PREFAB_WINDOW4_PART")

Murals:registerAssetId("models/mosaic.fbx/Prefab/Window5_Part", "PREFAB_WINDOW5_PART")

Murals:registerAssetId("models/mosaic.fbx/Prefab/Window6_Part", "PREFAB_WINDOW6_PART")


--tatty Banners

Murals:registerAssetId("models/banner.fbx/Prefab/Banner1_Part", "PREFAB_BANNER1_PART")
Murals:registerAssetId("models/banner.fbx/Materials/banner1", "BANNER1_MATERIAL")
Murals:override({
    Id = "BANNER1_MATERIAL",
	HasAlphaTest = true,

})
Murals:registerAssetId("models/banner2.fbx/Prefab/Banner2_Part", "PREFAB_BANNER2_PART")
Murals:registerAssetId("models/banner2.fbx/Materials/banner2", "BANNER2_MATERIAL")
Murals:override({
    Id = "BANNER2_MATERIAL",
	HasAlphaTest = true,

})
Murals:registerAssetId("models/banner4.fbx/Prefab/Banner4_Part", "PREFAB_BANNER4_PART")
Murals:registerAssetId("models/banner4.fbx/Materials/banner4", "BANNER4_MATERIAL")
Murals:override({
    Id = "BANNER4_MATERIAL",
	HasAlphaTest = true,

})
Murals:registerAssetId("models/banner5.fbx/Prefab/Banner5_Part", "PREFAB_BANNER5_PART")
Murals:registerAssetId("models/banner5.fbx/Materials/banner5", "BANNER5_MATERIAL")
Murals:override({
    Id = "BANNER5_MATERIAL",
	HasAlphaTest = true,

})
Murals:registerAssetId("models/banner6.fbx/Prefab/Banner6_Part", "PREFAB_BANNER6_PART")
Murals:registerAssetId("models/banner6.fbx/Materials/banner6", "BANNER6_MATERIAL")
Murals:override({
    Id = "BANNER6_MATERIAL",
	HasAlphaTest = true,

})

--solid
--solidbanners
Murals:registerAssetId("models/bannersolid.fbx/Prefab/Solid1_Part", "PREFAB_SOLID1_PART")
Murals:registerAssetId("models/bannersolid2.fbx/Prefab/Solid2_Part", "PREFAB_SOLID2_PART")
Murals:registerAssetId("models/bannersolid3.fbx/Prefab/Solid3_Part", "PREFAB_SOLID3_PART")
Murals:registerAssetId("models/bannersolid4.fbx/Prefab/Solid4_Part", "PREFAB_SOLID4_PART")
Murals:registerAssetId("models/bannersolid5.fbx/Prefab/Solid5_Part", "PREFAB_SOLID5_PART")
Murals:registerAssetId("models/bannersolid6.fbx/Prefab/Solid6_Part", "PREFAB_SOLID6_PART")
-----------------------
-- Monument Building --
-----------------------
Murals:register({
    DataType = "BUILDING",
    Id = "MURALS_MONUMENT",
    Name = "MURALS_MONUMENT_NAME",
    Description = "MURALS_MONUMENT_DESC",
    BuildingType = "DECORATION",
    AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    BuildingPartSetList = {
      {
	Name = "MURALS_LIST_NAME2",
	        BuildingPartList = {
                "WINDOW1_PART",
				"WINDOW2_PART",
				"WINDOW2B_PART",
				"WINDOW4_PART",
                "WINDOW5_PART",
				"WINDOW6_PART",
				"WINDOW3_PART"
           }
       },
        {
        Name = "MURALS_LIST_NAME1",
           	BuildingPartList = { 
				"MOSAIC1_PART",
                "MOSAIC2_PART",
				"MOSAIC4_PART",
				"MOSAIC5_PART",
				"MOSAIC6_PART"
            }
        },
       {
        Name = "MURALS_LIST_NAME3",
           	BuildingPartList = { 
				"BANNER1_PART",
				"SOLID1_PART",
				"BANNER2_PART",
				"SOLID2_PART",
				"BANNER4_PART",
				"SOLID4_PART",
				"BANNER5_PART",
				"SOLID5_PART",
				"BANNER6_PART",
				"SOLID6_PART",
				"SOLID3_PART",
				"STAND2_PART",
			    "STAND_PART"
            }
        }
    },
	IsEditable = true
})



--------------------
-- Scaling Building Parts --
--------------------
--stands
Murals:register({
	DataType = "BUILDING_PART",
	Id = "STAND_PART",
	Name = "STAND_NAME",
	Description = "STAND_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "STAND",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "STAND",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STAND_PART"
	}
})

--non-scaling sticky stand

Murals:register({
	DataType = "BUILDING_PART",
	Id = "STAND2_PART",
	Name = "STAND2_NAME",
	Description = "STAND2_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT3_PART",
		EndPart = "STAND2",
		FillerList = {
			"TILING2"
    	},
		BasementFillerList = {
			"TILING2"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "STAND2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STAND2_PART"
	}
})
--Mosaics
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC1_PART",
	Name = "MOSAIC1_NAME",
	Description = "MOSAIC1_DESC",
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "MOSAIC1",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MOSAIC1_PART"
	}
})

Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC2_PART",
	Name = "MOSAIC2_NAME",
	Description = "MOSAIC2_DESC",
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "MOSAIC2",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MOSAIC2_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC4_PART",
	Name = "MOSAIC4_NAME",
	Description = "MOSAIC4_DESC",
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "MOSAIC4",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC4",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MOSAIC4_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC5_PART",
	Name = "MOSAIC5_NAME",
	Description = "MOSAIC5_DESC",
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "MOSAIC5",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC5",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MOSAIC5_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC6_PART",
	Name = "MOSAIC6_NAME",
	Description = "MOSAIC6_DESC",
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "MOSAIC6",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "MOSAIC6",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MOSAIC6_PART"
	}
})



--windows
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW1_PART",
	Name = "WINDOW1_NAME",
	Description = "WINDOW1_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "WINDOW1",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WINDOW1_PART"
	}
})

Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW2_PART",
	Name = "WINDOW2_NAME",
	Description = "WINDOW2_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "WINDOW2",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WINDOW2_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW2B_PART",
	Name = "WINDOW2B_NAME",
	Description = "WINDOW2B_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "WINDOW2B",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW2B",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WINDOW2B_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW3_PART",
	Name = "WINDOW3_NAME",
	Description = "WINDOW3_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "WINDOW3",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW3",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WINDOW3_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW4_PART",
	Name = "WINDOW4_NAME",
	Description = "WINDOW4_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "WINDOW4",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW4",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WINDOW4_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW5_PART",
	Name = "WINDOW5_NAME",
	Description = "WINDOW5_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "WINDOW5",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW5",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WINDOW5_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW6_PART",
	Name = "WINDOW6_NAME",
	Description = "WINDOW6_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "WINDOW6",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "WINDOW6",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WINDOW6_PART"
	}
})
--banners
Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER1_PART",
	Name = "BANNER1_NAME",
	Description = "BANNER1_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "BANNER1",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BANNER1_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID1_PART",
	Name = "SOLID1_NAME",
	Description = "SOLID1_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "SOLID1",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SOLID1_PART"
	}
})

Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER2_PART",
	Name = "BANNER2_NAME",
	Description = "BANNER2_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "BANNER2",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BANNER2_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID2_PART",
	Name = "SOLID2_NAME",
	Description = "SOLID2_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "SOLID2",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SOLID2_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID3_PART",
	Name = "SOLID3_NAME",
	Description = "SOLID3_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "SOLID3",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID3",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SOLID3_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER4_PART",
	Name = "BANNER4_NAME",
	Description = "BANNER4_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "BANNER4",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER4",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BANNER4_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID4_PART",
	Name = "SOLID4_NAME",
	Description = "SOLID4_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "SOLID4",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID4",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SOLID4_PART"
	}
})

Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER5_PART",
	Name = "BANNER5_NAME",
	Description = "BANNER5_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "BANNER5",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER5",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BANNER5_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID5_PART",
	Name = "SOLID5_NAME",
	Description = "SOLID5_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "SOLID5",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID5",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SOLID5_PART"
	}
})

Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER6_PART",
	Name = "BANNER6_NAME",
	Description = "BANNER6_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "BANNER6",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "BANNER6",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BANNER6_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID6_PART",
	Name = "SOLID6_NAME",
	Description = "SOLID6_DESC",
    IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT2_PART",
		EndPart = "SOLID6",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
	    DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "SOLID6",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SOLID6_PART"
	}
})
-------------------
-- Scaling Parts --
-------------------
Murals:register({
	DataType = "BUILDING_PART",
	Id = "TILING",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TILING_PART"
	}
})
Murals:register({
	DataType = "BUILDING_PART",
	Id = "TILING2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TILING2_PART"
	}
})
